#ifndef __NETPARSEPROCESS_H__
#define __NETPARSEPROCESS_H__

#include <QObject>
#include <QProcess>

class NetParseProcess : public QObject
{
    Q_OBJECT

public:
    explicit NetParseProcess(QObject *parent = nullptr);
    ~NetParseProcess();

    void start(const QString &configure);
    void stop();
    void restart(const QString &configure = QString(""));

    bool isRunning();

private:
    QProcess m_process;

};

#endif  // NETPARSEPROCESS_H